#
# spec file for package videoproto
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           videoproto
Version:        2.3.3
Release:        lp152.3.2
Url:            http://xorg.freedesktop.org/
Summary:        The X11 Protocol: X Video extension
License:        MIT
Group:          Development/Libraries/X11

#Git-Clone:	git://anongit.freedesktop.org/xorg/proto/videoproto
#Git-Web:	http://cgit.freedesktop.org/xorg/proto/videoproto/
Source:         http://xorg.freedesktop.org/releases/individual/proto/%name-%version.tar.bz2
#BuildRequires:  autoconf >= 2.60
#BuildRequires:  automake
#BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Video protocol headers for X11 development.
This extension provides a protocol for a video output mechanism,
mainly to rescale video playback in the video controller hardware.

%package devel
Summary:        The X11 Protocol: X Video extension
Group:          Development/Libraries/X11

# Added within the 13.2 Development Cycle
Provides:       xorg-x11-proto-devel:%_libdir/pkgconfig/videoproto.pc

%description devel
The Video protocol headers for X11 development.
This extension provides a protocol for a video output mechanism,
mainly to rescale video playback in the video controller hardware.

%prep
%setup -q

%build
#autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"

%files devel
%defattr(-,root,root)
%doc COPYING
%doc %_datadir/doc/*
%_includedir/X11/extensions/
%_libdir/pkgconfig/*.pc

%changelog
* Sat Mar 12 2016 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.3.3:
  No functional change, just squashing a build warning for new xserver.
* Thu Sep 18 2014 jengelh@inai.de
- Update description and other metadata
- Use full %%configure for build, and remove CFLAGS (nothing is
  compiled)
- Make file list more compact
* Tue Apr 29 2014 sndirsch@suse.com
- added COPYING to %%doc
* Thu Apr 24 2014 tobias.johannes.klausmann@mni.thm.de
- Created package videoproto with initial version 2.3.1
